/*
   ####################################################################################
   #                                                                                  #
   #                             LibCodeBananas V3.0.0                                #
   #                       Netbanana - network control tools                          #
   #                                                                                  #
   #    Copyright (C) 2006-2010 Philipp Fabian Benedikt Maier (aka. Dexter)           #
   #                                                                                  #
   #    This program is free software; you can redistribute it and/or modify          #
   #    it under the terms of the GNU General Public License as published by          #
   #    the Free Software Foundation; either version 2 of the License, or             #
   #    (at your option) any later version.                                           #
   #                                                                                  #
   #    This program is distributed in the hope that it will be useful,               #
   #    but WITHOUT ANY WARRANTY; without even the implied warranty of                #
   #    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 #
   #    GNU General Public License for more details.                                  #
   #                                                                                  #
   #    You should have received a copy of the GNU General Public License             #
   #    along with this program; if not, write to the Free Software                   #
   #    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA    #
   #                                                                                  #
   #################################################################################### */
 
/* ####################################################################################
   #                                                                                  #
   #   This is a quick and easy network control library. I derived this from various  #
   #   It is also possible to handle mor than one connection at a time                #
   #                                                                                  #
   #################################################################################### */

/* ## HEADER ########################################################################## */
#ifndef netbanana_h
#define netbanana_h

#define CLIENT 0
#define SERVER 1

#ifdef __cplusplus
#define EXTERN extern "C"
#else
#define EXTERN
#endif/*__cplusplus*/

EXTERN void networkInit(int index, int propose, int port, char *host);
EXTERN void networkClose(int index);
EXTERN void networkSend(int index, char *message);
EXTERN void networkSendLen(int index, char *message, int length);
EXTERN void networkRecive(int index, char *message);

#endif/*netbanana_h*/
/* #################################################################################### */

